curl --request GET \
--url https://api.mottostreaming.com/streaming/stitchers/v1/{stitcher_id} \
--header 'Authorization: Bearer <token>'{
"stitcher": {
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"assets": {
"assets": [
{
"asset_id": "<string>",
"config": {
"order_index": 123
}
}
]
},
"asset_id": "<string>",
"reserved_asset_id": "<string>",
"state": "STATE_UNSPECIFIED",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}GetStitcher
Returns information about the requested stitcher instance.
curl --request GET \
--url https://api.mottostreaming.com/streaming/stitchers/v1/{stitcher_id} \
--header 'Authorization: Bearer <token>'{
"stitcher": {
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"assets": {
"assets": [
{
"asset_id": "<string>",
"config": {
"order_index": 123
}
}
]
},
"asset_id": "<string>",
"reserved_asset_id": "<string>",
"state": "STATE_UNSPECIFIED",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK
Show child attributes
id of the stitcher
project id of the stitcher
The name of the stitcher. It's set to the generated output's name.
The input assets to be stitched.
Show child attributes
The input assets to be stitched.
Show child attributes
asset id of the input asset
asset id of the stitcher
reserved asset id of the stitcher. while the output is being created, the asset id is reserved.
state of the stitcher
STATE_UNSPECIFIED, STATE_PROCESSING, STATE_FAILED, STATE_READY